/*
 * OpenFairDB API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.9.3
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package org.openapitools.client.model;

import java.util.Objects;
import java.util.Arrays;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;
import org.openapitools.client.model.PlaceId;

/**
 * Clearance for a selected revision of a place.  If the field &#x60;cleared_revision&#x60; is missing then the current revision is cleared unconditionally. 
 */
@ApiModel(description = "Clearance for a selected revision of a place.  If the field `cleared_revision` is missing then the current revision is cleared unconditionally. ")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.JavaClientCodegen", date = "2020-12-19T15:07:54.107442+01:00[Europe/Rome]")
public class ClearanceForPlace {
  public static final String SERIALIZED_NAME_PLACE_ID = "place_id";
  @SerializedName(SERIALIZED_NAME_PLACE_ID)
  private PlaceId placeId = null;

  public static final String SERIALIZED_NAME_CLEARED_REVISION = "cleared_revision";
  @SerializedName(SERIALIZED_NAME_CLEARED_REVISION)
  private Long clearedRevision;


  public ClearanceForPlace placeId(PlaceId placeId) {
    
    this.placeId = placeId;
    return this;
  }

   /**
   * Get placeId
   * @return placeId
  **/
  @ApiModelProperty(required = true, value = "")

  public PlaceId getPlaceId() {
    return placeId;
  }


  public void setPlaceId(PlaceId placeId) {
    this.placeId = placeId;
  }


  public ClearanceForPlace clearedRevision(Long clearedRevision) {
    
    this.clearedRevision = clearedRevision;
    return this;
  }

   /**
   * A revision number 
   * minimum: 0
   * @return clearedRevision
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(example = "23", value = "A revision number ")

  public Long getClearedRevision() {
    return clearedRevision;
  }


  public void setClearedRevision(Long clearedRevision) {
    this.clearedRevision = clearedRevision;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ClearanceForPlace clearanceForPlace = (ClearanceForPlace) o;
    return Objects.equals(this.placeId, clearanceForPlace.placeId) &&
        Objects.equals(this.clearedRevision, clearanceForPlace.clearedRevision);
  }

  @Override
  public int hashCode() {
    return Objects.hash(placeId, clearedRevision);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ClearanceForPlace {\n");
    sb.append("    placeId: ").append(toIndentedString(placeId)).append("\n");
    sb.append("    clearedRevision: ").append(toIndentedString(clearedRevision)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

